name: test-conda-env-py3
channels:
  - conda-forge
  - defaults
dependencies:
  - git
  - c-compiler
  - binutils
  - openmp
  - scipy
  - numpy
  - sympy
  - pytest
  - pytest-cov
  - pocl
  - toml
  - py
  - pluggy
  - packaging
  - iniconfig
  - attrs
  - genpy
  - islpy
  - colorama
  - pyrsistent
  - pyopencl
  - python>=3.8
  - symengine=0.3.0
  - python-symengine=0.3.0
  - pyfmmlib
  - cython
  - cmake
  - tbb-devel
  - dealii
  - cgen
  - h5py
  - pyevtk
  # for pypvfmm
  - openmpi-mpicxx
  - fftw

  - pip
  - pip:
    - git+https://gitlab.tiker.net/inducer/loopy
    - git+https://gitlab.tiker.net/inducer/gmsh_interop
    - git+https://gitlab.tiker.net/inducer/boxtree
    - git+https://gitlab.tiker.net/inducer/modepy
    - git+https://gitlab.tiker.net/inducer/meshmode
    - git+https://gitlab.tiker.net/inducer/pymbolic
    - git+https://gitlab.tiker.net/inducer/sumpy
    - git+https://gitlab.tiker.net/inducer/pytential
